Bug 216109 - unnamespaced global symbols in libamu
unnamespaced global symbols in libamu
Product: Fedora
Classification: Fedora
Component: am-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Depends On:
Blocks: 216170
  Show dependency treegraph
Reported: 2006-11-17 05:50 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-07 04:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 05:50:48 EST
jorton@jolt:~$ rpm -qf /usr/lib/libamu.so.4.0.0 

Clashes for /usr/lib/libamu.so.4.0.0:
  with /usr/lib/libsnmp.so.10.0.1 => strlcpy
  with /usr/lib/libnetsnmp.so.10.0.1 => strlcpy
  with /usr/lib/libhistory.so.4.3 => xrealloc xmalloc
  with /usr/lib/libkdecore.so.4.2.0 => strlcat strlcpy
  with /usr/lib/libdmraid.so.1.0.0.rc13 => plog
  with /usr/lib/libgettextlib-0.14.6.so => xrealloc xmalloc
  with /usr/lib/libkdefakes.so.4.2.0 => strlcat strlcpy
  with /usr/lib/libhistory.so.5.1 => xrealloc xmalloc
  with /usr/lib/libnfsidmap.so.0.2.0 => strlcpy
  with /usr/lib/libdhcp6client.so.1 => strlcat strlcpy foreground
Comment 1 Karel Zak 2007-03-13 11:12:56 EDT
Well, you're right. That's dirty, but the libamu library is not devel library. I
think purpose is to use it for am-utils tools only.

I'll inform upstream about this thing. Thanks.
Comment 2 Karel Zak 2007-03-26 05:18:54 EDT
The upstream maintained agrees that this thing should be fixed in a next
upstream release.

See also: https://bugzilla.am-utils.org/show_bug.cgi?id=562

Note You need to log in before you can comment on or make changes to this bug.